#!/bin/sh

#
# Author: Xiongtao Ruan
#
# Copyright (C) 2012-2017 Murphy Lab
# Computational Biology Department
# School of Computer Science
# Carnegie Mellon University
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# For additional information visit http://murphylab.web.cmu.edu or
# send email to murphy@cmu.edu



path="$PWD"
command="$1"
echo executing function: ${command}
cd ${path}

matlab  -nosplash -nodisplay -nodesktop -r "try, addpath('${path}'); ${command}; catch err, fprintf(2,'Error %s\n',err.message), end, exit" ||  matlab_8.6 -nosplash -nodisplay -nodesktop -r "try, addpath('${path}'); ${command}; catch err, fprintf(2,'Error %s\n',err.message), end, exit"
